#ifndef __WINSKINCONFIG_H
#define __WINSKINCONFIG_H

#include <noatun/pref.h>
#include <tqwidget.h>

class TQVBoxLayout;
class WaSkinManager;
class TQSlider;

class WinSkinConfig:public CModule {
    TQ_OBJECT
  
  public:
    WinSkinConfig(TQWidget * parent, WaSkinManager *waManager);

    void save();

  public slots:
    void reopen();

  private slots:
    void selected();
    void install();
    void remove();

  private:
    WaSkinManager *mWaSkinManager;
    TQListBox *skin_list;
    TQString orig_skin;
    TQVBoxLayout *vbox;
    TQPushButton *buttonRemove;
    TQSlider *scrollSpeed;
};

#endif
